/*
    intern.h
    Copyright (C) 1994 Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


	For questions contact:
	e-mail: (prefered)
		Uwe_Ohse@me.maus.de
		uwe@tirka.gun.de
	snail-mail:
	    Uwe Ohse, Drosselstrasse 2, 47055 Duisburg, Germany

*/

#ifndef INTERN_H

#if STDC_HEADERS || HAVE_STRING_H
#  include <string.h>
/* An ANSI string.h and pre-ANSI memory.h might conflict.  */
#  if !STDC_HEADERS && HAVE_MEMORY_H
#    include <memory.h>
#  endif /* not STDC_HEADERS and HAVE_MEMORY_H */
#else /* not STDC_HEADERS and not HAVE_STRING_H */
#  include <strings.h>
#  define strchr index
#  define strrchr rindex
#  define memcpy(d, s, n) bcopy((s), (d), (n))
#  define memcmp(s1,s2,n) bcmp((s1), (s2), (n))
  /* memory.h and strings.h conflict on some systems.  */
#endif /* not STDC_HEADERS and not HAVE_STRING_H */

#ifndef HAVE_STRCASECMP
#  ifdef HAVE_STRICMP
#    #define stricmp strcasecmp
#  else
     extern int strcasecmp(const char *s1, const char *s2);
#  endif
#endif

#ifndef HAVE_STRNCASECMP
#  ifdef HAVE_STRNICMP
#    #define strnicmp strncasecmp
#  else
     extern int strncasecmp(const char *s1, const char *s2,size_t n);
#  endif
#endif

#endif /* INTERN_H */
