/*
    conftest.c - main() to test conflib
    Copyright (C) 1993,1994  Uwe Ohse, 1991, 1993 Wolfram Roesler

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


	For questions contact:
	e-mail: (prefered)
		Uwe_Ohse@me.maus.de
		uwe@tirka.gun.de
	snail-mail:
	    Uwe Ohse, Drosselstrasse 2, 47055 Duisburg, Germany

*/

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <stdlib.h>
#include <stdio.h>
#include <ctype.h>

#ifdef HAVE_UNISTD_H
#  include <unistd.h>
#endif

#include "intern.h"
#include "conflib.h"

short numshort;
long num;
long aliasziel;
int  bool_true;
int  bool_false;
int value_1;
int value_5;
char *string;
char *istring;
char *array[CL_MAXARRAY]={NULL};
char *iarray[CL_MAXARRAY]={NULL};
conf_list_t *sliste;
conf_list_t *mliste;

conf_enum_t zahlen[]=
{ 
{	"Null",   0 }, {	"Zero",   0 },
{	"Eins",   1 }, {	"One",    1 },
{	"Zwei",   2 }, {	"Two",    2 },
{	"Drei",   3 }, {    "Three",  3 },
{	"Vier",   4 }, {	"Four",   4 },
{	"Fuenf",  5 }, {	"Five",   5 },
{	"Sechs",  6 }, {	"Six",    6 },
{	"Sieben", 7 }, {	"Seven",  7 },
{	"Acht",   8 }, {	"Eight",  8 },
{	"Neun",   9 }, {	"Nine",   9 },
{	NULL,     0 }
};

int value1;
int value5;
conf_t Tab[] =
{
	{ "numshort",   NULL,         CL_NUMSHORT,  &numshort   ,0 },
	{ "num",	    NULL,         CL_NUM,       &num        ,0 },
	{ "bool_false", NULL,         CL_BOOLEAN,   &bool_false ,0 },
	{ "bool_true",  NULL,         CL_BOOLEAN,   &bool_true  ,0 },
	{ "value-1",    zahlen,       CL_ENUM,      &value1     ,0 },
	{ "value-5",    zahlen,       CL_ENUM,      &value5     ,0 },
	{ "string",     "string",     CL_STRING,    &string     ,CL_POSTENV },
	{ "istring",    "istring",    CL_ISTRING,   &istring    ,CL_POSTENV },
	{ "aliasziel",  NULL,         CL_NUM,       &aliasziel  ,0 },
	{ "alias",      "aliasziel",  CL_ALIAS,     NULL        ,0 },
	{ "array",      "array",      CL_ARRAY,     array       ,CL_POSTENV },
	{ "space-list", " ",          CL_LIST,      &sliste     ,0 },
	{ "multi-list", ": ,\t",      CL_LIST,      &mliste     ,0 },
	{ "iarray",     "iarray",     CL_IARRAY,    iarray      ,CL_POSTENV },
	{ NULL,NULL,0,NULL,0 }
};

int main(int argc, char **argv)
{
	int i;
	char *fname="test.cnf";
	char st[200];
	int Erg;

	if (argc==2)
		fname=argv[1];
	else if (argc>2)
	{
		fprintf(stderr,"usage: %s [configfilename]\n",argv[0]);
		exit(1);
	}
	fprintf(stderr,"Version %d\n",cl_getversion());
	
	for(;;)
	{
		printf("Stanza? (ENTER=Ende, 0=NULL=all) ");fflush(stdout);
		gets(st);
		if (!*st)
			break;

		cl_clearconf(Tab);
		Erg = cl_getconfstanza(fname,Tab,strcmp(st,"0") ? st : NULL,0);
		if (Erg!=0)
			printf("cl_getconfstanza: %d\n",Erg);
		else
	    	cl_writeconf(stdout,Tab);
	    for (i=0;i<CL_MAXARRAY;i++)
	    {
	    	array[i] = NULL;
	    	iarray[i] = NULL;
	    }
	}
	return 0;
}

