/*
	missing.c - provide missing function
    Copyright (C) 1994 Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


	For questions contact:
	e-mail: (prefered)
		Uwe_Ohse@me.maus.de
		uwe@tirka.gun.de
	snail-mail:
	    Uwe Ohse, Drosselstrasse 2, 47055 Duisburg, Germany

*/

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <ctype.h>

#if !defined(HAVE_STRCASECMP) && !defined(HAVE_STRICMP)
int strcasecmp(const char *a,const char *b)
{
	while (*a && tolower(*a) == tolower (*b))
	{
		a++;
		b++;
	}
	return tolower(*a)-tolower(*b);
}
#endif

#if !defined(HAVE_STRNCASECMP) && !defined(HAVE_STRNICMP)
int strncasecmp(const char *a,const char *b,size_t n)
{
	while (n>0 && *a && tolower(*a) == tolower (*b))
	{
		a++;
		b++;
		n--;
	}
	if (!n)
		return 0;
	return tolower(*a)-tolower(*b);
}
#endif
