/* @(#) wrlib\getkonf.h  -  wr 13.9.91, -> conflib.h uo 18.8.93 */

#ifndef wu_conf_h
#define wu_conf_h

#define KT_ESCAPE	2

#define CL_MALLOCED     1
#define CL_POSTENV      2
#define CL_PREENV       4


typedef struct 
{
	char *magic;
	long value;
} conf_enum_t;

typedef struct conf_list_struct
{
	char *inhalt;
	struct conf_list_struct *next;
} conf_list_t;

typedef struct
{
	char *varname; /* name of variable */
	void *secdata; /* secondary data */
	enum {	
		CL_STRING,	/* simple string */
		CL_ISTRING,	/* interpreted string */
		CL_NUM,      /* long numeric - type long */
		CL_NUMSHORT, /* short numeric - type short */
		CL_BOOLEAN,  /* boolean - type int */
		CL_ARRAY,    /* Array of simple strings */
		CL_IARRAY,   /* Array of interpreted strings */
		CL_ENUM,     /* Enumeration - result type long */
		CL_ALIAS,    /* Ein Alias */
		CL_DUMMY,    /* /dev/null */
		CL_LIST     /* Eine Liste - result conf_list_t * */
	} typ;
	void *adr;      /* result */
	unsigned long flags;
} conf_t;

#define CL_MAXARRAY 256

int cl_getconf(const char *fname,conf_t *);
int cl_getconfstanza(const char *fname,conf_t *KonfTab,const char *stanza,
	int keep_open);
void cl_closeconf(void);
int cl_isinarray(const char**,const char*,int insensitive);
int cl_isinwarray(const char**,const char*);
void cl_writeconf(FILE *Fp,const conf_t *K);
int cl_getversion(void);
void cl_clearconf(conf_t *tab);
extern int cl_report_all;

#endif

