#ifndef MC_GROUPS_H
#define MC_GROUPS_H

typedef enum { TRI_NOTSET , TRI_FALSE, TRI_TRUE } TRISTATE;

typedef struct grp_data_t
{
	char *boxen;
	char *mausname;
	char *rfcname;
	char *default_followup;
	char *userinfo;
	char *approve;
	char *mausnet_distribution; /* alle Nachrichten in der Gruppe sollen ... */
	char *usenet_distribution; /* alle Nachrichten in der Gruppe sollen ... */
	BOOLEAN checkgroups; /* checkgroups erzeugen mit der Gruppe? */
	BOOLEAN itg; /* ITG erzeugen mit der Gruppe? */
	BOOLEAN discard;
	TRISTATE mime_headers;
	TRISTATE mime_body;
	
	int dont_save; /* dummyeintrag */
	struct grp_data_t *next;
} grp_data_t;

#define LEER_GRP { NULL, NULL, NULL, NULL, NULL, NULL, \
	NULL, NULL, \
	FALSE, FALSE, FALSE, TRI_NOTSET, TRI_NOTSET, 0, NULL}
extern grp_data_t leer_grp;

/* Libraryfunktionen zur Gruppennamenwandlung */
BOOLEAN grp_load_list(void);
BOOLEAN grp_save_list(void);
BOOLEAN grp_lock(void);
void grp_unlock(void);
grp_data_t * grp_suche_rfcname(const char *rfcname, const char *box);
grp_data_t * grp_suche_mausname(const char *mausname, const char *box);
BOOLEAN grp_create_rfcname (unsigned char *unconverted, unsigned char *to);
BOOLEAN grp_append_new(grp_data_t *new);
grp_data_t * grp_get_anker(void);
BOOLEAN grp_delete(grp_data_t *grp);

#endif
