#ifndef MAUS_H
#define MAUS_H

#include "metamsg.h"

typedef struct infoliststruct
{
	struct infoliststruct *next;
	char *kuerzel;   /* Kuerzel des Infofiles */
	char *kurztext;  /* Infozeile ber das Infofile */
	long last_crc;   /* letzte CRC des Infofiles */
	long pause;      /* Erst nach ... Tagen wieder bestellen */
	time_t last_date;/* Letzte Ankunft des Infofiles */
	short needs_crc; /* braucht das Infofile eine CRC? */
	short subscribed;/* bestellt? */
	short send_diff; /* send diff of infofile as mail? (needs_crc only) */
	short send_mail; /* send infofile as mail? (needs_crc only) */
} minfo_t;

/* MausNet-spezifische Funktionen */
char maus_get_tauschflag(char *s,char flag);
time_t maus_convert_tauschdate(char *s);
void maus_convert_adr(char *mausadr, char *adresse, char *realname);
int maus_export(FILE *f, metamsg_t *meta);
int maus_import(FILE *f, metamsg_t *meta, 
	char *line, size_t linelen, int *zurueckgestellt);

/* Libraryfunktionen rund um die Infofiles */
int info_read_list(void);
int info_write_list(void);
minfo_t *info_get_anker(void);
void info_add_new(minfo_t *);
void info_modified(minfo_t *);
void info_new_crc(char *kuerzel,long new_crc);
minfo_t *info_find(char *kuerzel);
void info_work_new_infofile(metamsg_t *meta, minfo_t *info);

#endif
