#ifndef MIMESUP_H
#define MIMESUP_H

enum mime_encoding 
{
	seven_bit,
	eight_bit,
	binary,
	quoted_printable,
	base_64,
	unknown_encoding
};
	/* decode a qp buffer */
#ifdef CSLIB
void mime_decode_qp (cstl_t *, char *);
#else
void mime_decode_qp (char *);
#endif

	/* decode a b64 buffer */
#ifdef CSLIB
void mime_decode_base64 (cstl_t *, char *);
#else
void mime_decode_base64 (char *);
#endif

#ifdef CSLIB
void mime_decode_buffer(cstl_t *cs, char *buffer,enum mime_encoding enc);
#else
void mime_decode_buffer(char *buffer,enum mime_encoding enc);
#endif


enum mime_encoding mime_get_encoding (const char *);
int mime_content_text (char *);

	/* decode one headerline */
void mime_decode_headerline (char *);

#endif

