#ifndef RP_ADDRESS_H
#define RP_ADDRESS_H
/*
** Mail address data structures
*/

#define NSUBDOM		20      	/* # of subdomain names in domain */

typedef unsigned int MALLOCT;		/* Parameter to malloc		*/

/*
**  A domain.
*/
typedef struct rp_dstr {
    struct rp_dstr	*next;		/* next domain (f.i. in route)	*/
    char			*sub[NSUBDOM];	/* subdomain strins		*/
    char			**top;		/* toplevel domain		*/
} rp_domain_t;

/*
**  An address.
*/
typedef struct rp_astr {
    struct rp_astr	*next;		/* next address in list		*/
    rp_domain_t		*route;		/* route icl. destination domain */
   	rp_domain_t		*destdom;	/* destination domain		*/
    char			*localp;	/* RFC local part		*/
    char			*name;		/* Comment name			*/
    char			*group;		/* Group (List) phrase		*/
    char			*comment;	/* () comment phrase		*/
    char			*error;		/* error text if not NULL	*/
} rp_addr_t;


	/* Append domainlist "dom" to domainlist "head". */
rp_domain_t *rp_new_domain(void);
	/* Create a new address	*/
rp_addr_t	*rp_new_address(void);
	/* Create a new domain */
void rp_append_domain(rp_domain_t **head, rp_domain_t *dom);
	/* Append addresslist "addr" to addresslist "head" */
void rp_append_address(rp_addr_t **head, rp_addr_t *addr);
	/* Prepend domainlist "dom" before domainlist "head". */
void rp_prepend_domain(rp_domain_t **head, rp_domain_t *dom);

	/* die aufzurufende Routine */
void rfc_parse_address(char *);

rp_addr_t	*adrlist;
rp_addr_t	*errlist;

#endif
