#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "rfcaddr.h"


/*
**  Create and initialize a new address.
*/
rp_addr_t *
rp_new_address(void)
{
    rp_addr_t	*ap;

    ap = (rp_addr_t *)malloc(sizeof(rp_addr_t));
    if (ap == NULL) 
    {
		perror("Addr alloc");
		exit(1);
    }
    memset(ap,0 ,sizeof *ap);
    return(ap);
}


/*
**  Append addresslist "addr" to addresslist "head".
*/
void 
rp_append_address(rp_addr_t **head, rp_addr_t *addr)
{
    register rp_addr_t	*ap;

    if (*head) 
    {
		for (ap = *head; ap->next; ap = ap->next)
		    ;
		ap->next = addr;
    }
    else
		*head = addr;
}



/*
**  Create and initialize a new domain.
*/
rp_domain_t *
rp_new_domain(void)
{
    rp_domain_t	*dp;

    dp = (rp_domain_t *)malloc(sizeof(rp_domain_t));
    if (dp == NULL) 
    {
		perror("Dom alloc");
		exit(1);
    }
    memset(dp,0, sizeof(rp_domain_t));
    dp->top = dp->sub;
    return(dp);
}


/*
**  Append domainlist "dom" to domainlist "head".
*/
void
rp_append_domain(rp_domain_t **head, rp_domain_t *dom)
{
    rp_domain_t	*dp;

    if (*head) 
    {
		for (dp = *head; dp->next; dp = dp->next)
		    ;
		dp->next = dom;
    }
    else
    	*head = dom;
}


/*
**  Prepend domainlist "dom" before domainlist "head".
*/
void
rp_prepend_domain(rp_domain_t **head, rp_domain_t *dom)
{
    rp_domain_t *dp;

    for (dp = dom; dp->next; dp = dp->next)
		;
    dp->next = *head;
    *head = dom;
}
