/*
   Copyright (C) 1994  Uwe Ohse

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/*
   strcasecmp, for systems without it.
*/
#include <ctype.h>

#ifdef HAVE_STRICMP
int
strcasecmp (const char *a, const char *b)
{
	return stricmp (a, b);
}
#else
int
strcasecmp (const char *a, const char *b)
{
	while (*a && tolower (*a) == tolower (*b))
	{
		a++;
		b++;
	}
	return tolower (*a) - tolower (*b);
}
#endif
