#ifndef MCFEATURES_H
#define MCFEATURES_H

/*
 * Untersttzung fr direktes SMTP eincompilieren?
 */
#ifdef HAVE_TCP
#define FEATURE_SMTP
#endif

/*
 * NNTP-Routinen eincompilieren?
 */
#ifdef HAVE_TCP
#define FEATURE_NNTP
#endif

/*
 * Umlautwandlungsroutinen? Nur bei Gatebetrieb sinnvoll.
 */
#define CSLIB

/*
 * Welche Sorte Lockfiles?  Exakt eines waehlen!
 *
 * HDB: Prozess-ID auf 10 Zeichen Laenge rechtsbuendig aufgefuellt,
 *      gefolgt von einem Newline. Ist die verbreitetste Methode.
 * V2:  Prozess-ID als 4 Bytes binr. Auf diversen BSD-Systemen und
 *      dem NeXT verbreitet.
 * SCO: Wie HDB, allerdings wird bei Gertedateien der Name des
 *      Gerts kleingeschrieben (LCK..tty2a fuer tty2A).
 * SVr4: Wie HDB, allerdings mit anderen Dateinamen, naemlich 
 *      LK.xxx.yyy.zzz, mit xxx == major device des Gertes, das
 *      die Gertedatei beeinhaltet, yyy und zzz sind major und 
 *      minor device number der Gertedatei selbst. Unter System V
 *      verbreitet.
 * Toll, insgesamt nur 4 verschiedene Standards :-) Coherent bietet
 * einen fuenften Weg - aber darum kuemmere ich mich erst, wenn ich
 * einen Coherent-User habe.
 * Achtung: Hier werden *alle* Mglichkeiten definiert - auf den Wert
 * kommt es an!
 */
#define HAVE_HDB_LOCKFILES 1
#define HAVE_V2_LOCKFILES 0
#define HAVE_SCO_LOCKFILES 0
#define HAVE_SVR4_LOCKFILES 0

/* 
 * Checks und Nachbearbeitung - nicht manuell aendern!
 */
#if HAVE_V2_LOCKFILES + HAVE_SCO_LOCKFILES + HAVE_HDB_LOCKFILES + HAVE_SVR4_LOCKFILES != 1
#error too many lockstyles defined.
#endif

/* SCO and SVR4 lockfiles are basically just like HDB lockfiles.  */
#if HAVE_SCO_LOCKFILES || HAVE_SVR4_LOCKFILES
#undef HAVE_HDB_LOCKFILES
#define HAVE_HDB_LOCKFILES 1
#endif

#endif
